Package org.jboss.resteasy.specimpl

## Class PathSegmentImpl

- java.lang.Object
- - org.jboss.resteasy.specimpl.PathSegmentImpl

- All Implemented Interfaces:
    `javax.ws.rs.core.PathSegment`

      public class PathSegmentImpl
      extends Object
      implements javax.ws.rs.core.PathSegment

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PathSegmentImpl.SegmentParse` | Used when creating the matching path in ResteasyUriInfo

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PathSegmentImpl​(String segment, boolean decode)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getMatrixParameters()` |
    `String` | `getOriginal()` |
    `String` | `getPath()` |
    `boolean` | `hasMatrixParams()` | NOTE: Used for optimization in ResteasyUriInfo
    `static List<javax.ws.rs.core.PathSegment>` | `parseSegments​(String path, boolean decode)` |
    `static PathSegmentImpl.SegmentParse` | `parseSegmentsOptimization​(String path, boolean decode)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PathSegmentImpl

          public PathSegmentImpl​(String segment,
                                 boolean decode)

      Parameters:
        `segment` - encoded path segment
        `decode` - whether or not to decode values

  - ### Method Detail

    - #### hasMatrixParams

          public boolean hasMatrixParams()

      NOTE: Used for optimization in ResteasyUriInfo
      Returns:
        true if path segment contains matrix parameters

    - #### getOriginal

          public String getOriginal()

    - #### getPath

          public String getPath()

      Specified by:
        `getPath` in interface `javax.ws.rs.core.PathSegment`

    - #### getMatrixParameters

          public javax.ws.rs.core.MultivaluedMap<String,​String> getMatrixParameters()

      Specified by:
        `getMatrixParameters` in interface `javax.ws.rs.core.PathSegment`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### parseSegments

          public static List<javax.ws.rs.core.PathSegment> parseSegments​(String path,
                                                                         boolean decode)

    - #### parseSegmentsOptimization

          public static PathSegmentImpl.SegmentParse parseSegmentsOptimization​(String path,
                                                                               boolean decode)

      Parameters:
        `path` - encoded full path
        `decode` - whether or not to decode each segment
      Returns:
        `PathSegmentImpl.SegmentParse`